/*

Jeremy Brown [0xjbrown41@gmail.com/http://jbrownsec.blogspot.com]

mySQLFUZZer - MySQL Fuzzer
It creates mysql sockets and fuzzers on the fly
It may or may not even work correctly.. a product of boredom :)

Remember to have libmysqlclient installed!

Compile: gcc -o mysqlfuzz -lmysqlclient mysqlfuzz.c

bash$ ./mysqlfuzz

mySQLFUZZer - MySQL Fuzzer v1.0BETA

FUZZING 'GENERIC'...
FUZZING 'CREATE DATABASE '...
FUZZING 'DROP '...
FUZZING 'USE '...
FUZZING 'SELECT * FROM '...
FUZZING 'SELECT '...
FUZZING 'CREATE TABLE '...
FUZZING 'DELETE * FROM '...
FUZZING 'INSERT INTO '...
FUZZING 'INSERT INTO test('...
FUZZING 'INSERT INTO test(test1, test2)VALUES('...
FUZZING 'UPDATE '...
FUZZING 'UPDATE test SET (test1=test2, test1='...
FUZZING 'UPDATE test SET (test1=test2, test1=test2) WHERE test1='...
FUZZING 'SELECT DISTINCT '...
FUZZING 'SELECT DISTINCT test FROM '...
FUZZING 'SHOW FIELDS FROM '...
FUZZING 'DESCRIBE '...
FUZZING 'SHOW CREATE TABLE '...
FUZZING 'KILL '...
FUZZING 'ALTER DATABASE '...
FUZZING 'ALTER DATABASE test CHARACTER SET '...
FUZZING 'CREATE TEMPORARY TABLE '...
FUZZING 'ALTER TABLE test RENAME '...
FUZZING 'DROP USER ''...
FUZZING 'DROP USER 'test'@' '...
FUZZING 'DROP TABLE IF EXISTS '...

MySQL Fuzzing Complete!

bash$

Mainly something to learn from.. go find some bugs!

*/

#include <stdio.h>
#include <unistd.h>
#include <mysql/mysql.h>
#include "mysqlfuzz.h"

int main(int argc, char *argv[])
{
    
     char *username = getenv("MYFUZZU"), *password = getenv("MYFUZZP"), *host = "127.0.0.1", *socket;
     socket = strdup("/tmp/mysqlfuzzer.sock");

     int num, port = 3306;
     FILE *fd;

     MYSQL *mysqlc;
     MYSQL_RES *results;

     printf("\nmySQLFUZZer - MySQL Fuzzer v%s\n\n", VERSION);

printf("FUZZING 'GENERIC'...\n");
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s;", fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s --> %s\n", mysql_error(mysqlc), fuzz[num-1].desc);
fd = fopen(LOGFILE, "a+"); fprintf(fd, "FUZZ STRING: %s\n\n", fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[0].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[0].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[0].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[0].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[1].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[1].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[1].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[1].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[2].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[2].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[2].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[2].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[3].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[3].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[3].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[3].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[4].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s FROM test;", mysql[4].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[4].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[4].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[5].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[5].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[5].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[5].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[6].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[6].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[6].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[6].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[7].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s(test1, test2)VALUES(test3, 1);", mysql[7].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[7].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[7].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[8].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s, test2)VALUES(test3, 1);", mysql[8].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[8].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[8].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[9].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s, 1);", mysql[9].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[9].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[9].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[10].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s SET (test=test, test=test) WHERE test=test;", mysql[10].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[10].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[10].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[11].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s) WHERE test=test;", mysql[11].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[11].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[11].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[12].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[12].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[12].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[12].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[13].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s FROM test;", mysql[13].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[13].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[13].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[14].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[14].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[14].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[14].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[15].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[15].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[15].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[15].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[16].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[16].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[16].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[16].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[17].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[17].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[17].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[17].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[18].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[18].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[18].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[18].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[19].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s CHARACTER SET utf8;", mysql[19].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[19].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[19].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[20].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[20].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[20].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[20].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[21].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[21].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[21].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[21].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[22].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[22].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[22].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[22].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[23].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s'@'localhost';", mysql[23].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[23].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[23].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[24].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s';", mysql[24].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[24].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[24].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

printf("FUZZING '%s'...\n", mysql[25].query);
for(num = 0; num <= MAXFS; num++)
{

     char freq[fuzz[num].size+64];
     snprintf(freq, sizeof(freq)-1, "%s%s;", mysql[25].query, fuzz[num].string);

     mysqlc = mysql_init(NULL);
     int mycon = mysql_real_connect(mysqlc, host, username, password, NULL, 0, socket, 0);

if(!mycon) { printf("Error: %s (%s) --> %s\n", mysql_error(mysqlc), mysql[25].query, fuzz[num-1].desc); fd = fopen(LOGFILE, "a+");
fprintf(fd, "FUZZED: %s\nFUZZ STRING: %s\n\n", mysql[25].query, fuzz[num-1].desc); fclose(fd); return -1; }

     mysql_query(mysqlc, "CREATE TABLE test");
     mysql_query(mysqlc, freq);
     mysql_query(mysqlc, "DROP test");
     mysql_close(mysqlc);

}

     printf("\nMySQL Fuzzing Complete!\n\n");

     return 0;
     
}
